Subject: Re: messed up user permissions from w2k terminal session
From: "Pierre A. Humblet" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 3 Oct 2003 22:46:03 -0400

On Fri, Oct 03, 2003 at 04:48:43PM -0400, James D Below wrote:
> HI everyone,
> 
> I'm not sure how I did it but I messed up my user permissions or local 
> policy settings.  Now whenever I run any cygwin app (bash.exe, wc.exe, 
> rxvt.exe) from a w2k terminal session and logged in as a user, I see the 
> following error:
> 
>  **** CreateFileMapping, Win32 error 5.  Terminating.
> 
> I'm running Windows 2000 SP4 and CYGWIN = binmode tty ntsec
> 
> More specific details....
> 
> If I am logged into the console I can run any cygwin apps. When I log in 
> remotely to the server through ssh, everything is fine.  The only time a 
> problem occurs is when I login through a terminal server client using an 
> account other than "Administrator". The administrator account doesn't 
> experience problem. A user account belonging in the Administrators group 
> does.

You don't say what version of Cygwin you are using.
If it's a recent one, could you try a snapshot? The problem may be fixed
since 9/26.

Pierre

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/